Bug 738515 - caribou-0.3.91-1 in fedora16 launch failed
Summary: caribou-0.3.91-1 in fedora16 launch failed
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: caribou
Version: 16
Hardware: i586
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 03:51 UTC by user
Modified: 2012-07-03 09:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-03 09:08:56 UTC


Attachments (Terms of Use)

Description user 2011-09-15 03:51:47 UTC
Description of problem:
I try caribou 0.3.91-1 in Fedora 16 ,i cannot see a keyboard. As soon as I move the focus to an entry or other text input field, I get:

Tracback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyatspi/registry.py", line 193, in eventWrapper
    return callback(event)
  File "/usr/lib/python2.7/site-packages/caribou/daemon/main.py", line 142, in on_focus
    self._set_entry_location(acc)
  File "/usr/lib/python2.7/site-packages/caribou/daemon/main.py", line 124, in _set_entry_location
    self.keyboard_proxy.SetCursorLocation(bx, by, bw, bh)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Failed: TypeError: this.actor is null
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyatspi/registry.py", line 193, in eventWrapper
    return callback(event)
  File "/usr/lib/python2.7/site-packages/caribou/daemon/main.py", line 142, in on_focus
    self._set_entry_location(acc)
  File "/usr/lib/python2.7/site-packages/caribou/daemon/main.py", line 124, in _set_entry_location
    self.keyboard_proxy.SetCursorLocation(bx, by, bw, bh)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
TypeError: More items found in D-Bus signature than in Python arguments


can anyone give helps? Thanks

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.prepare fedora16
2.yum install caribou caribou-devel
3.reboot
  
Actual results:


Expected results:


Additional info:

Comment 1 Parag Nemade 2011-09-20 09:50:00 UTC
This has been fixed in upstream release 0.3.92 and am trying to build this for f16 but strangely build is failing on koji but successful in mock build locally.

Comment 2 Parag Nemade 2011-09-21 06:55:39 UTC
Ok, Its built now on koji not even pushed to testing yet. Can you please test the new build at http://koji.fedoraproject.org/koji/buildinfo?buildID=264527 ?

Comment 3 user 2011-09-22 01:31:44 UTC
I test caribou-0.3.92-1.fc16 , but press Antler Preference button cause caribou to sleep , cannot close the Antler Preference window and cannot take some steps

Comment 4 Allison Karlitskaya 2011-09-23 00:16:55 UTC
caribou-0.3.92-1.fc16.x86_64 here and I still see the bug.

Comment 5 Parag Nemade 2011-12-01 09:23:57 UTC
Is this problem still exists in current f16 caribou-0.4.1-2.fc16.x86_64?

Comment 6 Parag Nemade 2012-07-03 09:08:56 UTC
Working fine on my desktop in Fedora 17. Use the latest package.


Note You need to log in before you can comment on or make changes to this bug.